<?php
include ("inc/function.php");
$this_title="更多网址";
include ("top.php");
?>
<DIV id="no_index_content_so">
<div class="left_top" id="no_index_content_z_s_l_t"></div>
<div class="right_top" id="no_index_content_z_s_r_t"></div>
<div id="no_index_content_top">全部网址</div>
<div id="no_index_content_content">
<div>广告位F</div>
<?php
axing_connect();
//分页代码
$pagesize=$page_num;
$result=mysql_query("select count(*) from base where able='yes'");
$myrow = mysql_fetch_array($result);
$numrows=$myrow[0];
$pages=intval($numrows/$pagesize);

if ($numrows%$pagesize)
{
$pages++;
}
if (isset($_GET['page']))
{
$page=intval($_GET['page']);
}
else{
$page=1;
}
$offset=$pagesize*($page - 1);
//分页代码

$sql="select * from base  where able='yes' order by cometime desc limit $offset,$pagesize";
$result=mysql_query($sql);
$i=0;
while ($myrow=mysql_fetch_assoc($result))
{
$i=$i+1;
?>
<?php if ($i%2)
{
?>
<div style="height:30px;padding:4px;background-color:F7F7F7;">
            <img src="skin/dis/images/50.jpg">
            &nbsp;&nbsp; <a href="<?echo($myrow[url]);?>" title="标题：<?echo($myrow[title]);?>" target="_blank" style="color:#0000FF;text-decoration:underline;font-size:14px"><?php if ($myrow[title_url]=="")
			 {
			 echo FSubstr($myrow[url],0,24)."...";
			 }
			 else
			 {
             echo FSubstr($myrow[title_url],0,12);
			 }
            ?>
            (
             <?php if ($myrow[title]=="")
			 {
			 echo FSubstr($myrow[url],0,24)."...";
			 }
			 else
			 {
             echo FSubstr($myrow[title],0,12)."...";
			 }
            ?>)</a>
  <?php if ($myrow[type]=="index")
			 {
			 echo "<a style='color:red'>[首页]</a>";
			 }
			 else
			 {
             echo "<a style='color:green'>[内页]</a>";
			 }
           ?>
  </div>
<div style="font-size:12px;color:#666666;padding-left:30px;padding-right:30px;background-color:F7F7F7">Keywords：<?echo($myrow[keywords])?></div>
<div style="font-size:12px;color:#666666;padding-left:30px;padding-right:30px;background-color:F7F7F7">Description：<?echo($myrow[description])?></div>
<div style="font-size:12px;color:#666666;padding-left:30px;padding-right:30px;background-color:F7F7F7">
<a style='color:green;font-size:14px' href="<?echo($myrow[url]);?>" target="_blank"><?echo($myrow[url]);?></a></div>
<?php 
}
else
{
?>
<div style="height:30px;padding:4px;background-color:#FFFFFF;">
            <img src="skin/dis/images/50.jpg">
            &nbsp;&nbsp; <a href="<?echo($myrow[url]);?>" title="标题：<?echo($myrow[title]);?>" target="_blank" style="color:#0000FF;text-decoration:underline;font-size:14px"><?php if ($myrow[title_url]=="")
			 {
			 echo FSubstr($myrow[url],0,24)."...";
			 }
			 else
			 {
             echo FSubstr($myrow[title_url],0,12);
			 }
            ?>
            (
             <?php if ($myrow[title]=="")
			 {
			 echo FSubstr($myrow[url],0,24)."...";
			 }
			 else
			 {
             echo FSubstr($myrow[title],0,12)."...";
			 }
            ?>)
  <?php if ($myrow[type]=="index")
			 {
			 echo "<a style='color:red'>[首页]</a>";
			 }
			 else
			 {
             echo "<a style='color:green'>[内页]</a>";
			 }
           ?>
</div>
<div style="font-size:12px;color:#666666;padding-left:30px;padding-right:30px">Keywords：<?echo($myrow[keywords])?></div>
<div style="font-size:12px;color:#666666;padding-left:30px;padding-right:30px">Description：<?echo($myrow[description])?></div>
<div style="font-size:12px;color:#666666;padding-left:30px;padding-right:30px">
<a style='color:green;font-size:14px' href="<?echo($myrow[url]);?>" target="_blank"><?echo($myrow[url]);?></a></div>
<?PHP
}
}
//分页代码
$first=1;
$prev=$page-1;
$next=$page+1;
$last=$pages;
echo "<div align='left' style='padding:5px'>共有".$pages."页(".$page."/".$pages.")";
if ($page > 1)
{
echo " <a href='?page=".$first."'>首页</a> ";
echo " <a href='?page=".$prev."'>上一页</a> ";
}

if ($page < $pages)
{
echo " <a href='?page=".$next."'>下一页</a> "; 
echo " <a href='?page=".$last."'>尾页</a> ";
echo "</div>";
}
//分页代码
mysql_free_result($result);
mysql_close();
?>

  </div>
  </DIV>
  </div>
<?php include ("bottom.php");?>

